############################################################
#
# type definition pro_declaration_component_nfs
#
# RESPONSIBLE: Charles Loomis <charles.loomis@cern.ch>
#
# AUTHOR: Charles Loomis <charles.loomis@cern.ch>
#
# VERSION : 0.0.7
#
############################################################

declaration template pro_declaration_component_nfs;
 
include pro_declaration_structures;
 
define type structure_nfs_exports = {
        "path"        : string
        "hosts"       : string[]
};
  
define type structure_nfs_mounts = {
        "device"        : string
        "mountpoint"    : string
        "fstype"        : string
        "options"       ? string
        "freq"          ? long with (self>=0)
        "passno"        ? long with (self>=0)
};
 
define type component_nfs = {
        include structure_component
        "exports"     ? structure_nfs_exports[]
        "mounts"      ? structure_nfs_mounts[]
};
 
type "/software/components/nfs" = component_nfs;
 
